Delete external refund
curl --request DELETE \
--url https://api-m.sandbox.paypal.com/v2/invoicing/invoices/{invoice_id}/refunds/{transaction_id} \
--header 'Authorization: Bearer <token>'{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "PERMISSION_DENIED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "The requested invoice is not associated with the requested user."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Delete external refund
Deletes an external refund, by invoice ID and transaction ID.
DELETE
/
v2
/
invoicing
/
invoices
/
{invoice_id}
/
refunds
/
{transaction_id}
Delete external refund
curl --request DELETE \
--url https://api-m.sandbox.paypal.com/v2/invoicing/invoices/{invoice_id}/refunds/{transaction_id} \
--header 'Authorization: Bearer <token>'{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "PERMISSION_DENIED",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "The requested invoice is not associated with the requested user."
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Authorizations
Oauth 2.0 authentication
Path Parameters
The ID of the draft invoice to delete.
Maximum string length:
2147483647Pattern:
^.*$The ID of the external refund transaction to delete.
Maximum string length:
2147483647Pattern:
^.*$Response
A successful request returns the HTTP 204 No Content status code with no JSON response body.
Was this page helpful?
⌘I